path: /build/build/kimageformats-kde-frameworks-5-5.111.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test avif eps openexr prefix" emerge kde-frameworks/kimageformats:5 -pv -t && \
    USE="-test avif eps openexr prefix" emerge -j ${JOBS} --nodeps kde-frameworks/kimageformats:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kimageformats && luet-portage --dir
    /pkgdir/kimageformats kde-frameworks/kimageformats:5 && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:bdef223445bc87fff1b619ec970f5de5cca8916f4f44722c7aa988fb935c683d
  package:
    name: kimageformats
    version: 5.111.0
    category: kde-frameworks-5
    use_flags:
    - -test
    - avif
    - eps
    - openexr
    - prefix
    requires:
    - name: macaroni-funtoo-race19
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Framework providing additional format plugins for Qt's image I/O
      system
    uri:
    - https://kde.org/
    license: LGPL-2+
    buildtimestamp: 2024-02-14 21:21:55.710612296 +0000 UTC m=+203.018580032
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 test? ( !prefix? ( x11-base/xorg-server[xvfb]
        ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.111:5
      DEPEND: '>=dev-qt/qtgui-5.15.1:5 >=kde-frameworks/karchive-5.111:5 avif? ( >=media-libs/libavif-0.8.2
        ) eps? ( >=dev-qt/qtprintsupport-5.15.1:5 ) openexr? ( dev-libs/imath:= media-libs/openexr:=
        ) dev-util/desktop-file-utils x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.15.1:5
        ) >=dev-qt/qtcore-5.15.1:5 dev-util/desktop-file-utils'
      IUSE: avif eps openexr test debug test
      RDEPEND: '>=dev-qt/qtgui-5.15.1:5 >=kde-frameworks/karchive-5.111:5 avif? (
        >=media-libs/libavif-0.8.2 ) eps? ( >=dev-qt/qtprintsupport-5.15.1:5 ) openexr?
        ( dev-libs/imath:= media-libs/openexr:= ) >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.111:5
        kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.1:5'
      emerge.packages: kde-frameworks/kimageformats:5
      kit: kde-kit
      original.package.name: kde-frameworks/kimageformats
      original.package.slot: "5"
      original.package.version: 5.111.0
    treedir: /build/packages
  package_dir: /pkgdir/kimageformats
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ff5619d92e20f95f6f6c1235415779f3ae7640a19aeb611d2f9420ef24ddaa74
compressiontype: zstd
files:
- usr/lib64/qt5/plugins/imageformats/kimg_ani.so
- usr/lib64/qt5/plugins/imageformats/kimg_avif.so
- usr/lib64/qt5/plugins/imageformats/kimg_eps.so
- usr/lib64/qt5/plugins/imageformats/kimg_exr.so
- usr/lib64/qt5/plugins/imageformats/kimg_hdr.so
- usr/lib64/qt5/plugins/imageformats/kimg_kra.so
- usr/lib64/qt5/plugins/imageformats/kimg_ora.so
- usr/lib64/qt5/plugins/imageformats/kimg_pcx.so
- usr/lib64/qt5/plugins/imageformats/kimg_pic.so
- usr/lib64/qt5/plugins/imageformats/kimg_psd.so
- usr/lib64/qt5/plugins/imageformats/kimg_qoi.so
- usr/lib64/qt5/plugins/imageformats/kimg_ras.so
- usr/lib64/qt5/plugins/imageformats/kimg_rgb.so
- usr/lib64/qt5/plugins/imageformats/kimg_tga.so
- usr/lib64/qt5/plugins/imageformats/kimg_xcf.so
- usr/share/doc/kimageformats-5.111.0/AUTHORS.bz2
- usr/share/kservices5/qimageioplugins/ani.desktop
- usr/share/kservices5/qimageioplugins/avif.desktop
- usr/share/kservices5/qimageioplugins/dds.desktop
- usr/share/kservices5/qimageioplugins/eps.desktop
- usr/share/kservices5/qimageioplugins/exr.desktop
- usr/share/kservices5/qimageioplugins/hdr.desktop
- usr/share/kservices5/qimageioplugins/jp2.desktop
- usr/share/kservices5/qimageioplugins/kra.desktop
- usr/share/kservices5/qimageioplugins/ora.desktop
- usr/share/kservices5/qimageioplugins/pcx.desktop
- usr/share/kservices5/qimageioplugins/pic.desktop
- usr/share/kservices5/qimageioplugins/psd.desktop
- usr/share/kservices5/qimageioplugins/qoi.desktop
- usr/share/kservices5/qimageioplugins/ras.desktop
- usr/share/kservices5/qimageioplugins/rgb.desktop
- usr/share/kservices5/qimageioplugins/tga.desktop
- usr/share/kservices5/qimageioplugins/xcf.desktop
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/BDEPEND
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/BUILD_TIME
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/CATEGORY
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/CBUILD
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/CFLAGS
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/CHOST
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/CONTENTS
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/COUNTER
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/CXXFLAGS
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/DEFINED_PHASES
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/DEPEND
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/DESCRIPTION
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/EAPI
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/FEATURES
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/HOMEPAGE
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/INHERITED
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/IUSE
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/IUSE_EFFECTIVE
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/KEYWORDS
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/LDFLAGS
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/LICENSE
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/NEEDED
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/PF
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/PROVIDES
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/RDEPEND
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/REQUIRES
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/SIZE
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/SLOT
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/USE
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/environment.bz2
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/kimageformats-5.111.0.ebuild
- var/db/pkg/kde-frameworks/kimageformats-5.111.0/repository
package_cacheimage: ""
runtime:
  name: kimageformats
  version: 5.111.0
  category: kde-frameworks-5
  use_flags:
  - -test
  - avif
  - eps
  - openexr
  - prefix
  requires:
  - name: qtprintsupport
    version: '>=0'
    category: dev-qt-5
  - name: karchive
    version: '>=0'
    category: kde-frameworks-5
  - name: libavif
    version: '>=0'
    category: media-libs
  - name: openexr
    version: '>=0'
    category: media-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Framework providing additional format plugins for Qt's image I/O system
  uri:
  - https://kde.org/
  license: LGPL-2+
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 test? ( !prefix? ( x11-base/xorg-server[xvfb]
      ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.111:5
    DEPEND: '>=dev-qt/qtgui-5.15.1:5 >=kde-frameworks/karchive-5.111:5 avif? ( >=media-libs/libavif-0.8.2
      ) eps? ( >=dev-qt/qtprintsupport-5.15.1:5 ) openexr? ( dev-libs/imath:= media-libs/openexr:=
      ) dev-util/desktop-file-utils x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.15.1:5
      ) >=dev-qt/qtcore-5.15.1:5 dev-util/desktop-file-utils'
    IUSE: avif eps openexr test debug test
    RDEPEND: '>=dev-qt/qtgui-5.15.1:5 >=kde-frameworks/karchive-5.111:5 avif? ( >=media-libs/libavif-0.8.2
      ) eps? ( >=dev-qt/qtprintsupport-5.15.1:5 ) openexr? ( dev-libs/imath:= media-libs/openexr:=
      ) >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.111:5 kde-frameworks/oxygen-icons:*
      ) >=dev-qt/qtcore-5.15.1:5'
    emerge.packages: kde-frameworks/kimageformats:5
    kit: kde-kit
    original.package.name: kde-frameworks/kimageformats
    original.package.slot: "5"
    original.package.version: 5.111.0
